Schedules
Create or update a schedule
Creates a new schedule or updates an existing schedule with the supplied definition.
Abfrageparameter
api-version
string
Erforderlich
The API version to use for this operation.
Pfadparameter
id
string
Erforderlich
Identifier of the schedule.
Headerparameter
Foundry-Features
enum
Erforderlich
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Anforderungstext
The resource instance.
id
string
Erforderlich
Identifier of the schedule.
displayName
string
Name of the schedule.
description
string
Description of the schedule.
enabled
boolean
Erforderlich
Enabled status of the schedule.
provisioningStatus
string | enum
Schedule provisioning status.
enum
trigger
Cron | Recurrence | OneTime
Erforderlich
Base model for Trigger of the schedule.
Cron
CronTrigger
Cron based trigger.
type
enum
Erforderlich
expression
string
Erforderlich
Cron expression that defines the schedule frequency.
timeZone
string
Time zone for the cron schedule. Defaults to UTC.
startTime
string
Start time for the cron schedule in ISO 8601 format.
endTime
string
End time for the cron schedule in ISO 8601 format.
Recurrence
RecurrenceTrigger
Recurrence based trigger.
type
enum
Erforderlich
Type of the trigger.
startTime
string
Start time for the recurrence schedule in ISO 8601 format.
endTime
string
End time for the recurrence schedule in ISO 8601 format.
timeZone
string
Time zone for the recurrence schedule. Defaults to UTC.
interval
integer
Erforderlich
Interval for the recurrence schedule.
schedule
Hourly | Daily | Weekly | Monthly
Erforderlich
Recurrence schedule model.
Hourly
HourlyRecurrenceSchedule
Hourly recurrence schedule.
type
enum
Erforderlich
Daily
DailyRecurrenceSchedule
Daily recurrence schedule.
type
enum
Erforderlich
Daily recurrence type.
hours
integer[]
Erforderlich
Hours for the recurrence schedule.
Weekly
WeeklyRecurrenceSchedule
Weekly recurrence schedule.
type
enum
Erforderlich
Weekly recurrence type.
daysOfWeek
DayOfWeek[]
Erforderlich
Days of the week for the recurrence schedule.
Monthly
MonthlyRecurrenceSchedule
Monthly recurrence schedule.
type
enum
Erforderlich
Monthly recurrence type.
daysOfMonth
integer[]
Erforderlich
Days of the month for the recurrence schedule.
OneTime
OneTimeTrigger
One-time trigger.
type
enum
Erforderlich
triggerAt
string
Erforderlich
Date and time for the one-time trigger in ISO 8601 format.
timeZone
string
Time zone for the one-time trigger. Defaults to UTC.
task
Evaluation | Insight
Erforderlich
Schedule task model.
Evaluation
EvaluationScheduleTask
Evaluation task for the schedule.
type
enum
Erforderlich
evalId
string
Erforderlich
Identifier of the evaluation group.
evalRun
object
Erforderlich
The evaluation run payload.
Insight
InsightScheduleTask
Insight task for the schedule.
type
enum
Erforderlich
insight
Insight
Erforderlich
The response body for cluster insights.
id
string
Erforderlich
The unique identifier for the insights report.
metadata
InsightsMetadata
Erforderlich
Metadata about the insights.
createdAt
string
Erforderlich
The timestamp when the insights were created.
completedAt
string
The timestamp when the insights were completed.
state
enum | string
Erforderlich
Enum describing allowed operation states.
enum
displayName
string
Erforderlich
User friendly display name for the insight.
request
EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison
Erforderlich
The request of the insights report.
EvaluationRunClusterInsight
EvaluationRunClusterInsightRequest
Insights on set of Evaluation Results
type
enum
Erforderlich
The type of insights request.
evalId
string
Erforderlich
Evaluation Id for the insights.
runIds
string[]
Erforderlich
List of evaluation run IDs for the insights.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
Erforderlich
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
AgentClusterInsight
AgentClusterInsightRequest
Insights on set of Agent Evaluation Results
type
enum
Erforderlich
The type of request.
agentName
string
Erforderlich
Identifier for the agent.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
Erforderlich
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
EvaluationComparison
EvaluationComparisonInsightRequest
Evaluation Comparison Request
type
enum
Erforderlich
The type of request.
evalId
string
Erforderlich
Identifier for the evaluation.
baselineRunId
string
Erforderlich
The baseline run ID for comparison.
treatmentRunIds
string[]
Erforderlich
List of treatment run IDs for comparison.
result
EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight
The result of the insights.
EvaluationComparison
EvaluationComparisonInsightResult
Insights from the evaluation comparison.
type
enum
Erforderlich
The type of insights result.
comparisons
EvalRunResultComparison[]
Erforderlich
Comparison results for each treatment run against the baseline.
method
string
Erforderlich
The statistical method used for comparison.
EvaluationRunClusterInsight
EvaluationRunClusterInsightResult
Insights from the evaluation run cluster analysis.
type
enum
Erforderlich
The type of insights result.
clusterInsight
ClusterInsightResult
Erforderlich
Insights from the cluster analysis.
summary
InsightSummary
Erforderlich
Summary of the error cluster analysis.
sampleCount
integer
Erforderlich
Total number of samples analyzed.
uniqueSubclusterCount
integer
Erforderlich
Total number of unique subcluster labels.
uniqueClusterCount
integer
Erforderlich
Total number of unique clusters.
method
string
Erforderlich
Method used for clustering.
usage
ClusterTokenUsage
Erforderlich
Token usage for cluster analysis
inputTokenUsage
integer
Erforderlich
input token usage
outputTokenUsage
integer
Erforderlich
output token usage
totalTokenUsage
integer
Erforderlich
total token usage
clusters
InsightCluster[]
Erforderlich
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
Erforderlich
X-axis coordinate.
y
integer
Erforderlich
Y-axis coordinate.
size
integer
Erforderlich
Size of the chart element.
AgentClusterInsight
AgentClusterInsightResult
Insights from the agent cluster analysis.
type
enum
Erforderlich
The type of insights result.
clusterInsight
ClusterInsightResult
Erforderlich
Insights from the cluster analysis.
summary
InsightSummary
Erforderlich
Summary of the error cluster analysis.
sampleCount
integer
Erforderlich
Total number of samples analyzed.
uniqueSubclusterCount
integer
Erforderlich
Total number of unique subcluster labels.
uniqueClusterCount
integer
Erforderlich
Total number of unique clusters.
method
string
Erforderlich
Method used for clustering.
usage
ClusterTokenUsage
Erforderlich
Token usage for cluster analysis
inputTokenUsage
integer
Erforderlich
input token usage
outputTokenUsage
integer
Erforderlich
output token usage
totalTokenUsage
integer
Erforderlich
total token usage
clusters
InsightCluster[]
Erforderlich
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
Erforderlich
X-axis coordinate.
y
integer
Erforderlich
Y-axis coordinate.
size
integer
Erforderlich
Size of the chart element.
tags
object
Schedule's tags. Unlike properties, tags are fully mutable.
properties
object
Schedule's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.
systemData
object
Erforderlich
System metadata for the resource.
Antworten
The request has succeeded.
Text
id
string
Erforderlich
Identifier of the schedule.
displayName
string
Name of the schedule.
description
string
Description of the schedule.
enabled
boolean
Erforderlich
Enabled status of the schedule.
provisioningStatus
string | enum
Schedule provisioning status.
enum
trigger
Cron | Recurrence | OneTime
Erforderlich
Base model for Trigger of the schedule.
Cron
CronTrigger
Cron based trigger.
type
enum
Erforderlich
expression
string
Erforderlich
Cron expression that defines the schedule frequency.
timeZone
string
Time zone for the cron schedule. Defaults to UTC.
startTime
string
Start time for the cron schedule in ISO 8601 format.
endTime
string
End time for the cron schedule in ISO 8601 format.
Recurrence
RecurrenceTrigger
Recurrence based trigger.
type
enum
Erforderlich
Type of the trigger.
startTime
string
Start time for the recurrence schedule in ISO 8601 format.
endTime
string
End time for the recurrence schedule in ISO 8601 format.
timeZone
string
Time zone for the recurrence schedule. Defaults to UTC.
interval
integer
Erforderlich
Interval for the recurrence schedule.
schedule
Hourly | Daily | Weekly | Monthly
Erforderlich
Recurrence schedule model.
Hourly
HourlyRecurrenceSchedule
Hourly recurrence schedule.
type
enum
Erforderlich
Daily
DailyRecurrenceSchedule
Daily recurrence schedule.
type
enum
Erforderlich
Daily recurrence type.
hours
integer[]
Erforderlich
Hours for the recurrence schedule.
Weekly
WeeklyRecurrenceSchedule
Weekly recurrence schedule.
type
enum
Erforderlich
Weekly recurrence type.
daysOfWeek
DayOfWeek[]
Erforderlich
Days of the week for the recurrence schedule.
Monthly
MonthlyRecurrenceSchedule
Monthly recurrence schedule.
type
enum
Erforderlich
Monthly recurrence type.
daysOfMonth
integer[]
Erforderlich
Days of the month for the recurrence schedule.
OneTime
OneTimeTrigger
One-time trigger.
type
enum
Erforderlich
triggerAt
string
Erforderlich
Date and time for the one-time trigger in ISO 8601 format.
timeZone
string
Time zone for the one-time trigger. Defaults to UTC.
task
Evaluation | Insight
Erforderlich
Schedule task model.
Evaluation
EvaluationScheduleTask
Evaluation task for the schedule.
type
enum
Erforderlich
evalId
string
Erforderlich
Identifier of the evaluation group.
evalRun
object
Erforderlich
The evaluation run payload.
Insight
InsightScheduleTask
Insight task for the schedule.
type
enum
Erforderlich
insight
Insight
Erforderlich
The response body for cluster insights.
id
string
Erforderlich
The unique identifier for the insights report.
metadata
InsightsMetadata
Erforderlich
Metadata about the insights.
createdAt
string
Erforderlich
The timestamp when the insights were created.
completedAt
string
The timestamp when the insights were completed.
state
enum | string
Erforderlich
Enum describing allowed operation states.
enum
displayName
string
Erforderlich
User friendly display name for the insight.
request
EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison
Erforderlich
The request of the insights report.
EvaluationRunClusterInsight
EvaluationRunClusterInsightRequest
Insights on set of Evaluation Results
type
enum
Erforderlich
The type of insights request.
evalId
string
Erforderlich
Evaluation Id for the insights.
runIds
string[]
Erforderlich
List of evaluation run IDs for the insights.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
Erforderlich
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
AgentClusterInsight
AgentClusterInsightRequest
Insights on set of Agent Evaluation Results
type
enum
Erforderlich
The type of request.
agentName
string
Erforderlich
Identifier for the agent.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
Erforderlich
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
EvaluationComparison
EvaluationComparisonInsightRequest
Evaluation Comparison Request
type
enum
Erforderlich
The type of request.
evalId
string
Erforderlich
Identifier for the evaluation.
baselineRunId
string
Erforderlich
The baseline run ID for comparison.
treatmentRunIds
string[]
Erforderlich
List of treatment run IDs for comparison.
result
EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight
The result of the insights.
EvaluationComparison
EvaluationComparisonInsightResult
Insights from the evaluation comparison.
type
enum
Erforderlich
The type of insights result.
comparisons
EvalRunResultComparison[]
Erforderlich
Comparison results for each treatment run against the baseline.
method
string
Erforderlich
The statistical method used for comparison.
EvaluationRunClusterInsight
EvaluationRunClusterInsightResult
Insights from the evaluation run cluster analysis.
type
enum
Erforderlich
The type of insights result.
clusterInsight
ClusterInsightResult
Erforderlich
Insights from the cluster analysis.
summary
InsightSummary
Erforderlich
Summary of the error cluster analysis.
sampleCount
integer
Erforderlich
Total number of samples analyzed.
uniqueSubclusterCount
integer
Erforderlich
Total number of unique subcluster labels.
uniqueClusterCount
integer
Erforderlich
Total number of unique clusters.
method
string
Erforderlich
Method used for clustering.
usage
ClusterTokenUsage
Erforderlich
Token usage for cluster analysis
inputTokenUsage
integer
Erforderlich
input token usage
outputTokenUsage
integer
Erforderlich
output token usage
totalTokenUsage
integer
Erforderlich
total token usage
clusters
InsightCluster[]
Erforderlich
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
Erforderlich
X-axis coordinate.
y
integer
Erforderlich
Y-axis coordinate.
size
integer
Erforderlich
Size of the chart element.
AgentClusterInsight
AgentClusterInsightResult
Insights from the agent cluster analysis.
type
enum
Erforderlich
The type of insights result.
clusterInsight
ClusterInsightResult
Erforderlich
Insights from the cluster analysis.
summary
InsightSummary
Erforderlich
Summary of the error cluster analysis.
sampleCount
integer
Erforderlich
Total number of samples analyzed.
uniqueSubclusterCount
integer
Erforderlich
Total number of unique subcluster labels.
uniqueClusterCount
integer
Erforderlich
Total number of unique clusters.
method
string
Erforderlich
Method used for clustering.
usage
ClusterTokenUsage
Erforderlich
Token usage for cluster analysis
inputTokenUsage
integer
Erforderlich
input token usage
outputTokenUsage
integer
Erforderlich
output token usage
totalTokenUsage
integer
Erforderlich
total token usage
clusters
InsightCluster[]
Erforderlich
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
Erforderlich
X-axis coordinate.
y
integer
Erforderlich
Y-axis coordinate.
size
integer
Erforderlich
Size of the chart element.
tags
object
Schedule's tags. Unlike properties, tags are fully mutable.
properties
object
Schedule's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.
systemData
object
Erforderlich
System metadata for the resource.
Anfordern
PUT /schedules/{id} HTTP/1.1
Antwort
Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json